/*
  This software is copyright Kong Inc. and its licensors.
  Use of the software is subject to the agreement between your organization
  and Kong Inc. If there is no such agreement, use is governed by and
  subject to the terms of the Kong Master Software License Agreement found
  at https://konghq.com/enterprisesoftwarelicense/.
*/

import{_ as A,P as C,S as I,N as S,s as p,O as q,X as N,r as a,c as F,b as o,L as H,w as s,q as M,aw as d,o as c,a as V,f as h,h as m,d as l,__tla as z}from"./index.e25b4626.js";import{E as B,__tla as K}from"./EntityMixin.f0712245.js";import{E as j,__tla as U}from"./EntityList.e1232649.js";import{E as W,__tla as X}from"./EntityToggleBadge.3669fe10.js";import{g as G,__tla as J}from"./Route.5330a9fa.js";import{L as Y}from"./ListPageMixin.043645e4.js";import{R as Z}from"./RedirectMixin.43c88d07.js";import{b as tt}from"./buildRoute.43b36aba.js";import{__tla as et}from"./monaco-editor.a13f5e9a.js";import{__tla as rt}from"./EntityButton.d1ad56d5.js";import{__tla as at}from"./EntityFilter.7adc0f15.js";import{__tla as st}from"./preferences.f9d327dd.js";import{__tla as ot}from"./EntityListEmptyState.76e54391.js";import"./icon-empty-table.dd9dfcd0.js";import{__tla as it}from"./EntityDeleteModal.27455d4e.js";import{__tla as nt}from"./ConfirmModalDialog.32fe123d.js";import"./ArrayCardContainerFields.8c471078.js";import"./typedefs.2cf9eb0a.js";import"./index.000e7558.js";import"./transform.01d557ef.js";import"./marked.esm.54f47f7d.js";let _,ut=Promise.all([(()=>{try{return z}catch{}})(),(()=>{try{return K}catch{}})(),(()=>{try{return U}catch{}})(),(()=>{try{return X}catch{}})(),(()=>{try{return J}catch{}})(),(()=>{try{return et}catch{}})(),(()=>{try{return rt}catch{}})(),(()=>{try{return at}catch{}})(),(()=>{try{return st}catch{}})(),(()=>{try{return ot}catch{}})(),(()=>{try{return it}catch{}})(),(()=>{try{return nt}catch{}})()]).then(async()=>{const y={name:"RouteList",components:{EntityList:j,EntityTags:W,PageHeader:C,SupportText:I,ExternalLink:S},mixins:[B,Y,Z],data(){return{unsortableFields:["protocols","methods","hosts","paths","tags"]}},computed:{...p(q,["entityDoc"]),...p(N,{config:"infoConfig"}),schema(){return this.buildSchema(G(this.config.router_flavor))},entityListOptions(){return{entity:this.entity||"routes",entityName:"Route",helpMessage:"Add routes to proxy requests to an associated Service.",showRouteName:"show-route",createRoute:`/${this.$route.params.workspace}/routes/create`,supportDocs:this.entityDoc("route"),fields:{name:{searchable:!0},protocols:{searchable:!0},methods:{searchable:!0},hosts:{searchable:!0},paths:{searchable:!0},tags:{}},...this.$route.name!=="routes"?{viewRouteQuery:{...this.createRedirectRouteQuery(),...this.createPostDeleteRouteQuery()}}:null,...this.createRouteQuery?{createRouteQuery:{...this.createRouteQuery,...this.createRedirectRouteQuery()}}:null,...this.$route.name!=="routes"?{viewText:"View configuration",editText:"Edit configuration",withRedirectQuery:!0}:null}},cardClass(){return{"routes-listing-card-no-border":this.$route.name!=="routes"}}},methods:{buildSchema(t){const e=Object.assign({},t);return e.protocols={type:"select",values:["http","https","tcp","tls","udp","tls_passthrough","grpc","grpcs"]},e.methods={type:"text"},e.hosts={type:"text"},e.paths={type:"text"},e.id={type:"text"},e.name={type:"text"},e},colorizeMethods(t){const{foreground:e,background:i}=d[t]||d.DEFAULT;return{label:t,foreground:e,background:i}},createEntity(){const{entityListOptions:t,$route:e,redirectPath:i}=this,n={$route:e,path:t.createRoute,query:t.createRouteQuery,redirect:i};this.$route.name.startsWith("service")&&(n.field={service_id:this.serviceId}),this.$router.push(tt(n))},updateActionHandler(t){return this.$router.push({name:"update-route",params:{workspace:this.$route.params.workspace,id:t.id},...this.$route.name!=="routes"?{query:{...this.createRedirectRouteQuery(),...this.createPostDeleteRouteQuery(),serviceId:this.serviceId}}:null})},viewDetails({id:t}){this.$router.push({name:this.entityListOptions.showRouteName,params:{id:t},...this.$route.name!=="routes"?{query:{...this.createRedirectRouteQuery(),...this.createPostDeleteRouteQuery(),serviceId:this.serviceId}}:null})}}},f={class:"routes-listing"},w=l(" A Route defines rules to match client requests, and is associated with a Service. "),b=l(" Learn more "),R=l(" View details ");function g(t,e,i,n,v,r){const $=a("EntityFilter"),L=a("EntityButton"),x=a("ExternalLink"),k=a("SupportText"),E=a("PageHeader"),Q=a("EntityTags"),D=a("KDropdownItem"),O=a("EntityList"),P=a("KCard");return c(),F("section",f,[o(E,null,H({default:s(()=>[t.$route.name==="routes"?(c(),h($,{key:0,entity:r.entityListOptions.entity,fields:r.entityListOptions.fields,schema:r.schema},null,8,["entity","fields","schema"])):m("",!0),o(L,{workspace:t.workspace,entity:`${r.entityListOptions.entity}`,"restricted-actions":["create"],"path-name":t.$route.name==="routes"?"create-route":void 0,"button-props":{appearance:"primary"},text:"New Route",onClick:e[0]||(e[0]=()=>t.$route.name!=="routes"&&r.createEntity())},null,8,["workspace","entity","path-name"])]),_:2},[r.entityListOptions.supportDocs?{name:"below-title",fn:s(()=>[o(k,null,{default:s(()=>[V("p",null,[w,o(x,{href:r.entityListOptions.supportDocs},{default:s(()=>[b]),_:1},8,["href"])])]),_:1})])}:void 0]),1024),o(P,{"border-variant":t.$route.name!=="routes"?"noBorder":void 0,class:M(r.cardClass)},{body:s(()=>[o(O,{ref:"entitylist",options:r.entityListOptions,"unsortable-fields":v.unsortableFields,"enable-entity-actions":!0,"show-view-action":!0,"view-action-fields":["name"],"update-action-handler":r.updateActionHandler,"disable-row-click":!0,"overflow-actions":!0},{methods:s(({item:u})=>[o(Q,{tags:(u.methods||[]).map(r.colorizeMethods)},null,8,["tags"])]),extraViewActions:s(({item:u,rbac:{isAllowedToRead:T}})=>[t.$route.name!=="routes"&&T?(c(),h(D,{key:0,"data-testaction":"menu-view-details",onClick:ct=>r.viewDetails(u)},{default:s(()=>[R]),_:2},1032,["onClick"])):m("",!0)]),_:1},8,["options","unsortable-fields","update-action-handler"])]),_:1},8,["border-variant","class"])])}_=A(y,[["render",g],["__scopeId","data-v-bd3c891c"]])});export{ut as __tla,_ as default};
